Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 58222 - Generate Javadoc for 4.0 project fails
Generate Javadoc for 4.0 project fails
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
4.x
All All
: P2 (vote)
: 5.x
Assigned To: Radko Najman
issues@javaee
: RELNOTE
Depends on: 58221
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-22 13:19 UTC by zikmund
Modified: 2006-03-24 13:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zikmund 2005-04-22 13:19:59 UTC
Build 200504211930

1) Open 4.0 project
2) Resolve all reference problems (Tomcat, libraries, etc.)
  Note: Upgrade project to 4.1 project as part of resolving references.
3) Generate Javadoc
4) ERROR:
javadoc: error - Illegal package name: "${javadoc.additionalparam}"

Workaround is: add following line into project.properties:
  javadoc.additionalparam=
Comment 1 zikmund 2005-04-22 13:22:46 UTC
Same for Java upgraded project - see issue 58221.

Workaround should be part of release notes for 4.1 (as general problem of all
4.0 projects).
Comment 2 Radko Najman 2005-04-25 16:34:05 UTC
Fixed.

/cvs/web/project/src/org/netbeans/modules/web/project/UpdateHelper.java,v  <-- 
UpdateHelper.java
new revision: 1.17; previous revision: 1.16
Comment 3 zikmund 2005-05-25 15:31:58 UTC
Verified in 200505250639.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo